DOMDocument::loadHTMLFile
DOMDocument::normalizeDocument
DOMDocument
PHP Manual

# DOMDocument::loadXML

Load XML from a string

### Description

public mixed DOMDocument::loadXML ( string `$source` [, int `$options` = 0 ] )

Loads an XML document from a string.

### Parameters

`source`

  The string containing the XML.

`options`

  Bitwise OR of the libxml option constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns a DOMDocument or `FALSE` on failure.

### Errors/Exceptions

If an empty string is passed as the `source`, a warning will be generated. This warning is not generated by libxml and cannot be handled using libxml's error handling functions.

This method may be called statically, but will issue an `E_STRICT` error.

### Examples

Example #1 Creating a Document

`<?php
$doc = new DOMDocument();
$doc->loadXML('<root><node/></root>');
echo $doc->saveXML();
?>`

Example #2 Static invocation of loadXML

`<?php
// Issues an E_STRICT error
$doc = DOMDocument::loadXML('<root><node/></root>');
echo $doc->saveXML();
?>`

### See Also

- DOMDocument::load
- DOMDocument::save
- DOMDocument::saveXML